Skip to content
Back to top
View this page

# pip uninstall

## Usage

Unix/macOS

    python -m pip uninstall [options] <package> ...
    python -m pip uninstall [options] -r <requirements file> ...

Windows

    py -m pip uninstall [options] <package> ...
    py -m pip uninstall [options] -r <requirements file> ...

## Description

Uninstall packages.

pip is able to uninstall most installed packages. Known exceptions are:

- Pure distutils packages installed with `python setup.py install`, which leave behind no metadata to determine what files were installed.

- Script wrappers installed by `python setup.py develop`.

## Options

-r, --requirement <file>

  Uninstall all the packages listed in the given requirements file. This option can be used multiple times.

  (environment variable: `PIP_REQUIREMENT`)

-y, --yes

  Don’t ask for confirmation of uninstall deletions.

  (environment variable: `PIP_YES`)

--root-user-action <root_user_action>

  Action if pip is run as a root user [warn, ignore] (default: warn)

  (environment variable: `PIP_ROOT_USER_ACTION`)

--break-system-packages

  Allow pip to modify an EXTERNALLY-MANAGED Python installation

  (environment variable: `PIP_BREAK_SYSTEM_PACKAGES`)

## Examples

1. Uninstall a package.

   Unix/macOS

       $ python -m pip uninstall simplejson
       Uninstalling simplejson:
          /home/me/env/lib/python3.9/site-packages/simplejson
          /home/me/env/lib/python3.9/site-packages/simplejson-2.2.1-py3.9.egg-info
       Proceed (Y/n)? y
          Successfully uninstalled simplejson

   Windows

       C:\> py -m pip uninstall simplejson
       Uninstalling simplejson:
          /home/me/env/lib/python3.9/site-packages/simplejson
          /home/me/env/lib/python3.9/site-packages/simplejson-2.2.1-py3.9.egg-info
       Proceed (Y/n)? y
          Successfully uninstalled simplejson